Subject: Re: After successful push, all files are listed as modified, uncommitted changes on origin server

From: Jakub Narebski <[email-masked]>
Date: Mon, 28 Apr 2008 08:40:29 -0700 (PDT)

"Tyler Silcox" <[email-masked]> writes:

> Myself and another developer are both experiencing this 'issue'. We
> will run a local commit and pull (on Macs), then push to the origin
> server (which is on Windows.) If you view the git status, it will list
> all files as modified, but I can't pull any details about what was
> modified with diff. In gitk, it shows all the files under 'local
> uncommitted changes, not checked in to index', but again, it doesn't
> tell me what was changed, it just lists the file names in the left
> column.
> 
> I'm thinking it's an OSX file browser process that is modifying the
> files' meta data when git is checking the repository. It is not
> affecting our workflow, but it is an annoyance. Any info that can help
> prevent this would be appreciated.

This is not the case of "do not push into non-bare repository"?
Or different autocrlf on both machines?

-- 
Jakub Narebski
Poland
ShadeHawk on #git